Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Gerd Möllmann <[email-masked]>
Date: Sun, 17 Sep 2023 13:07:47 +0200

Eli Zaretskii <[email-masked]> writes:

>> ALas, even when the trace-function kicked in, I wasn't able to tell what
>> exactly it was that triggered that.
>
> Could it be that you (or something else) reloaded loaddefs?

It wasn't me, for sure, but that's what I also suspect is happening
somehow.  An indicator for that is that the kmacro and two-column
bindings appeared together.  These are the only 2 packages putting
global-set-keys into loaddefs.

But how would that happen if loaddefs is preloaded?  I couldn't find
anything suspicous with git grep.

I'm building with ASAN now, maybe that finds something.